欢迎来到 黑吧安全网 聚焦网络安全前沿资讯,精华内容,交流技术心得!

Discuz存在SQL注入漏洞会员可提升权限

来源:转载 作者:佚名 时间:2007-04-30 TAG: 我要投稿

漏洞类型:SQL注入

危险等级:高

涉及版本:Discuz! 4.0.0 Discuz! 4.1.0

漏洞描述

由于Discuz! 对于数据没有进行严格过滤,可导致用户使用特殊工具伪造非法数据并注入SQL语句,获取论坛管理员权限。

虽然PHP此漏洞仅仅限于PHP5版本的服务器环境,但是经过Freediscuz! 团队成员测试,PHP4用户同样受到此漏洞威胁,且此漏洞亦威胁PHPWIND论坛程序。提醒广大论坛管理员尽快进行漏洞修补。

经过测试,以下Discuz!用户不受此漏洞影响,使用过0801补丁的用户不受影响,全新安装Discuz!_4.1.0_SC_GBK 0810 FD修补版的用户以及Lite Beta 2用户不受影响,Discuz! 5.0 RC1,RC2用户不受影响。

修补办法

尽快升级论坛至Discuz! 5.0 RC2。

对于不想进行论坛升级的用户,请使用本站发布的Discuz! 4.1.0 补丁。

全新安装用户可以下载Discuz! 5.0 RC2或者Discuz!_4.1.0_SC_GBK 0810 FD修补版。

备注说明

由于该漏洞属于高危险级别的安全漏洞,且涉及用户数量较大,为保证多数用户的安全和利益,我们决定不公布修补该漏洞的手工方法,以免被他人利用。Freediscuz 亦不会公布具体攻击办法和漏洞细节,有此意向的用户请勿骚扰Freediscuz Team成员。

【声明】:黑吧安全网(http://www.myhack58.com)登载此文出于传递更多信息之目的,并不代表本站赞同其观点和对其真实性负责,仅适于网络安全技术爱好者学习研究使用,学习中请遵循国家相关法律法规。如有问题请联系我们,联系邮箱admin@myhack58.com,我们会在最短的时间内进行处理。
  • 最新更新
    • 相关阅读
      • 本类热门
        • 最近下载